@use "../theme";

.button {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    position: relative;
    padding: calc(0.75rem - 2px) calc(1rem - 2px);
    min-width: 3rem;
    min-height: 3rem;
    border: 2px solid transparent;
    vertical-align: middle;
    font-size: 1rem;
    font-weight: theme.$fontWeightSemiBold;
    line-height: 150%;
    text-align: center;
    text-decoration: none;
    cursor: pointer;
    color: theme.$colorText;
    background-color: #e0e4ea;

    &--add-icon {
        &::before {
            content: "+";
            margin-right: theme.$spacing04;
            font-size: theme.$fontSizeXLarge;
            font-weight: theme.$fontWeightRegular;
        }
    }

    &__icon {
        margin-left: 0;
        margin-right: theme.$spacing03;
        width: 20px;
        height: 20px;
        stroke-width: 1.75px;

        &--white {
            stroke: white;
        }

        &--first {
            margin-right: theme.$spacing03;
            margin-left: 0;
        }

        &--last {
            margin-left: theme.$spacing03;
            margin-right: 0;
        }

        &--small-width {
            margin-right: -5px;
            margin-left: theme.$spacing02;
        }
    }

    &::after {
        background-color: rgba(33, 33, 33, 0.25);
        content: "";
        position: absolute;
        height: 3px;
        bottom: -2px;
        left: -2px;
        right: -2px;
    }

    &:hover {
        color: theme.$colorText;
        background: rgb(204, 207, 213);
        text-decoration: none;
    }

    &:focus {
        border: 2px solid rgb(255, 255, 255);
        outline: rgb(11, 130, 181) solid 2px;
        background: rgb(204, 207, 213);
        text-decoration: none;

        &::after {
            display: none;
        }
    }

    &--primary {
        background-color: var(--color-palatinate-blue);
        color: #fff;

        &:hover,
        &:active,
        &:focus {
            color: #fff;
            background-color: darken(theme.$colorBrand, 5%);
        }
    }

    &--tertiary {
        background-color: theme.$colorBrandTertiary;
        color: theme.$colorPaletteGray1000;

        svg {
            fill: black;
        }

        &:hover {
            background-color: darken(theme.$colorBrandTertiary, 2%);
            color: theme.$colorPaletteGray1000;
        }
    }

    &--external-link {
        img {
            margin-left: theme.$spacing02;
        }
    }

    &--disabled {
        background-color: theme.$colorPaletteGray300;
        color: theme.$colorPaletteGray500;
        cursor: not-allowed;

        &:hover {
            background-color: theme.$colorPaletteGray300;
            color: theme.$colorPaletteGray500;
        }
    }

    &--lg {
        font-size: 1.125rem;
        padding: theme.$spacing02 2rem;
    }
}
